<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- gvSIG. Desktop Geographic Information System. Copyright (C) 2007-2013 gvSIG
  Association. This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later version.
  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
  PURPOSE. See the GNU General Public License for more details. You should have received
  a copy of the GNU General Public License along with this program; if not, write to
  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
  USA. For any additional information, do not hesitate to contact us at info AT gvsig.com,
  or visit our website www.gvsig.com. -->
<plugin-config>
  <depends plugin-name="org.gvsig.app.mainplugin" />
  <depends plugin-name="org.gvsig.app.document.table.app.mainplugin" />
  <depends plugin-name="org.gvsig.topology.app.mainplugin" optional="true"/>
<!--  <depends plugin-name="org.gvsig.shp.app.mainplugin" />-->
  <depends plugin-name="org.gvsig.geodb.app.mainplugin" />
  <depends plugin-name="org.gvsig.csv.app.mainplugin"/>
  <depends plugin-name="org.gvsig.h2spatial.h2gis132.app.mainplugin" />
  <resourceBundle name="text" />
  <libraries library-dir="lib" />
  <extensions>
    <extension class-name="org.gvsig.vcsgis.app.VCSGisExtension"
      description="" active="true" priority="1">

      <action 
            name="tools-vcsgis-init-server" 
            label="_VCS_Initialize_repository" 
            tooltip="_VCS_Initialize_repository"
            position="900700101" 
            action-command="tools-vcsgis-init-server" 
            icon="tools-vcsgis-init-server"
            accelerator="" 
      />

      <action 
          name="tools-vcsgis-register-workspace" 
          label="_VCS_Register_workingcopy" 
          tooltip="_Register_workingcopy"
            position="900700103" 
          action-command="tools-vcsgis-register-workspace" 
          icon="tools-vcsgis-register-workspace"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-registrationeditingstores" 
          label="_VCS_Registration_of_editing_stores" 
          tooltip="_VCS_Registration_of_editing_stores"
          position="900700103" 
          action-command="tools-vcsgis-registrationeditingstores" 
          icon="tools-vcsgis-registrationeditingstores"
          accelerator="" 
      />
      
      <action 
          name="tools-vcsgis-repositoryentityfeaturetypeeditor" 
          label="_VCS_Registration_of_editing_stores" 
          tooltip="_VCS_Registration_of_editing_stores"
          position="900700104" 
          action-command="tools-vcsgis-repositoryentityfeaturetypeeditor" 
          icon="tools-vcsgis-repositoryentityfeaturetypeeditor"
          accelerator="" 
      />
      
      <action 
          name="tools-vcsgis-show_server-entities" 
          label="_VCS_Show_server_entities" 
          tooltip="_VCS_Show_server_entities"
          position="900700105" 
          action-command="tools-vcsgis-show_server-entities" 
          icon="tools-vcsgis-show-server-entities"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-show_server-hooks" 
          label="_VCS_Show_server_hooks" 
          tooltip="_VCS_Show_server_hooks"
          position="900700106" 
          action-command="tools-vcsgis-show_server-hooks" 
          icon="tools-vcsgis-show-server-hooks"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-init-workspace" 
          label="_VCS_Initialize_workingcopy" 
          tooltip="_VCS_Initialize_workingcopy"
          position="900700200" 
          action-command="tools-vcsgis-init-workspace" 
          icon="tools-vcsgis-init-workspace"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-download-workingcopy" 
          label="_VCS_download_workingcopy" 
          tooltip="_VCS_download_workingcopy"
          position="900700210" 
          action-command="tools-vcsgis-download-workingcopy" 
          icon="tools-vcsgis-download-workingcopy"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-add-to-workspace" 
          label="_Add_to_VCS_workingcopy" 
          tooltip="_Add_table_or_layer_to_VCS_workingcopy"
          position="900700300" 
          action-command="tools-vcsgis-add-to-workspace" 
          icon="tools-vcsgis-add-to-workspace"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-import-history" 
          label="_Import_history_to_VCSGis_repository" 
          tooltip="_Import_a_table_or_layer_with_history_to_a_VCSGis_repository"
          position="900700300" 
          action-command="tools-vcsgis-import-history" 
          icon="tools-vcsgis-add-to-workspace"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-checkout" 
          label="_VCS_checkout" 
          tooltip="_Checkout_table_from_VCS_repository"
          position="900700300" 
          action-command="tools-vcsgis-checkout" 
          icon="tools-vcsgis-checkout"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-checkout-datamodel" 
          label="_VCS_Connect_to_datamodel" 
          tooltip="_VCS_Connect_to_datamodel"
          position="900701000" 
          action-command="tools-vcsgis-checkout-datamodel" 
          icon="tools-vcsgis-checkout-datamodel"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-export" 
          label="_VCS_Export" 
          tooltip="_Export_to_a_local_table_a_table_of_the_repository"
          position="900700500" 
          action-command="tools-vcsgis-export" 
          icon="tools-vcsgis-export"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-showchanges" 
          label="_VCS_Show_changes" 
          tooltip="_VCS_Show_changes"
          position="900702000" 
          action-command="tools-vcsgis-showchanges" 
          icon="tools-vcsgis-showchanges"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-register-workspace" 
          label="_VCS_Register_workingcopy" 
          tooltip="_Register_workingcopy"
          position="900700300" 
          action-command="tools-vcsgis-register-workspace" 
          icon="tools-vcsgis-register-workspace"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-prepare-workingcopy" 
          label="_VCS_Prepare_workingcopy" 
          tooltip="_Prepare_workingcopy"
          position="900700400" 
          action-command="tools-vcsgis-prepare-workingcopy" 
          icon="tools-vcsgis-prepare-workingcopy"
          accelerator="" 
      />

      <action 
          name="tools-vcsgis-show-revisions" 
          label="_VCS_Revisions" 
          tooltip="_Show_revisions_panel"
          position="900700600" 
          action-command="tools-vcsgis-show-revisions" 
          icon="tools-vcsgis-show-revisions"
          accelerator="" 
      />
      
    <action 
          name="tools-vcsgis-create-resource-table" 
          label="_VCS_Create_resource_table" 
          tooltip="_Create_resource_table"
          position="900700104" 
          action-command="tools-vcsgis-create-resource-table" 
          icon=""
          accelerator="" 
      />
      
    <action 
          name="tools-vcsgis-logout" 
          label="_VCS_Logout_from_working_copy" 
          tooltip="_Logout_from_working_copy"
          position="900700404" 
          action-command="tools-vcsgis-logout" 
          icon=""
          accelerator="" 
    />
    
    <action 
        name="tools-vcsgis-backup-history" 
        label="_VCS_Backup_history" 
        tooltip="_Backup_history"
        position="900700800" 
        action-command="tools-vcsgis-backup-history" 
        icon="tools-vcsgis-backup-history"
        accelerator="" 
    />

    <action 
        name="tools-vcsgis-restore-history" 
        label="_VCS_Restore_history" 
        tooltip="_Restore_history"
        position="900700900" 
        action-command="tools-vcsgis-restore-history" 
        icon="tools-vcsgis-restore-history"
        accelerator="" 
    />



      <menu text="tools/_VCSGis/_Administration/_VCS_Initialize_repository" name="tools-vcsgis-init-server" />
      <menu text="tools/_VCSGis/_Administration/_VCS_Registration_workingcopies" name="tools-vcsgis-register-workspace" />
      <menu text="tools/_VCSGis/_Administration/_VCS_Registration_of_editing_stores" name="tools-vcsgis-registrationeditingstores" />
      <menu text="tools/_VCSGis/_Administration/_VCS_Repository_entity_feature_type_editor" name="tools-vcsgis-repositoryentityfeaturetypeeditor" />
      <menu text="tools/_VCSGis/_Administration/_VCS_Prepare_workingcopy" name="tools-vcsgis-prepare-workingcopy" />
      <menu text="tools/_VCSGis/_Administration/_VCS_Create_resource_table" name="tools-vcsgis-create-resource-table" />
      <menu text="tools/_VCSGis/_Administration/_VCS_Import_history" name="tools-vcsgis-import-history" />
      <menu text="tools/_VCSGis/_Administration/_Backups/_VCS_Backup_history" name="tools-vcsgis-backup-history" />
      <menu text="tools/_VCSGis/_Administration/_Backups/_VCS_Restore_history" name="tools-vcsgis-restore-history" />
      <menu text="tools/_VCSGis/_VCS_Initialize_workingcopy" name="tools-vcsgis-init-workspace" />
      <menu text="tools/_VCSGis/_VCS_Download_workingcopy" name="tools-vcsgis-download-workingcopy" />
      <menu text="tools/_VCSGis/_VCS_Add_to_workingcopy" name="tools-vcsgis-add-to-workspace" />
      <menu text="tools/_VCSGis/_VCS_Checkout" name="tools-vcsgis-checkout" />
      <!--
      <menu text="tools/_VCSGis/_VCS_Export" name="tools-vcsgis-export" />
    -->
      <menu text="tools/_VCSGis/_VCS_Show_revisions" name="tools-vcsgis-show-revisions" />
      <menu text="tools/_VCSGis/_VCS_Logout" name="tools-vcsgis-logout" />
      <menu text="tools/_VCSGis/_VCS_Show_changes" name="tools-vcsgis-showchanges" />
      <menu text="tools/_VCSGis/_VCS_Connect_to_datamodel" name="tools-vcsgis-checkout-datamodel" />

      <tool-bar name="vcsgis" position="900700300">
        <!--<action-tool name="tools-vcsgis-init-server" />-->
        <!--<action-tool name="tools-vcsgis-init-workspace" />-->
        <action-tool name="tools-vcsgis-checkout-datamodel" />
        <action-tool name="tools-vcsgis-add-to-workspace" />
        <action-tool name="tools-vcsgis-checkout" />
        <action-tool name="tools-vcsgis-showchanges" />
      </tool-bar>

    </extension>
    <extension class-name="org.gvsig.vcsgis.app.VCSGisExecuteTopologyPlanExtension"
      description="" active="true" priority="1">

      <action 
            name="tools-vcsgis-execute-topologyplan" 
            label="_VCS_Execute_topology_plan" 
            tooltip="_VCS_Execute_topology_plan_of_active_layer"
            position="908300300" 
            action-command="tools-vcsgis-execute-topologyplan" 
            icon="tools-vcsgis-execute-topologyplan"
            accelerator="" 
      />
      <menu text="tools/_Topology/_VCS_Execute_topology_plan" name="tools-vcsgis-execute-topologyplan" />
    </extension>
  </extensions>
</plugin-config>
